Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2150982 - Enable bootupd for Fedora Silverblue & Kinoite
Summary: Enable bootupd for Fedora Silverblue & Kinoite
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothée Ravier
QA Contact:
URL:
Whiteboard:
Depends On: 2150984
Blocks: F41Changes
TreeView+ depends on / blocked
 
Reported: 2022-12-05 18:52 UTC by Ben Cotton
Modified: 2024-04-30 19:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-29 09:29:27 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-12-05 18:52:20 UTC
This is a tracking bug for Change: Enable bootupd for Fedora Silverblue & Kinoite
For more details, see: https://fedoraproject.org/wiki/Changes/FedoraSilverblueBootupd

By design, ostree does not manage bootloader updates as they can not (yet) happen in a safe fashion. To solve this issue, bootupd (https://github.com/coreos/bootupd) was created. bootupd is a small socket activated program that takes care of updating the bootloader. It currently only supports EFI booted systems and rpm-ostree based systems. The updates are triggered by an administrator and are not (yet) automated for safety reasons. This change is about enabling bootupd integration in Fedora Silverblue and Fedora Kinoite to make bootloader updates easier. bootupd is already used in Fedora CoreOS.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2023-02-07 14:27:33 UTC
Today we reached the Code Complete (Testable) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F39, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Timothée Ravier 2023-02-08 17:23:08 UTC
This is not yet testable but we're trying to make that happen. Added the dependency.

Comment 3 Ben Cotton 2023-02-21 21:59:50 UTC
Today we reached the Code Complete (100% complete) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F39 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 4 Timothée Ravier 2023-02-23 11:57:37 UTC
We did not manage to make it happen for F38. This will be for F39 and we'll try to backport the changes as much as possible later.

Comment 5 Ben Cotton 2023-02-23 16:21:08 UTC
Ack. Deferring to F39

Comment 6 Timothée Ravier 2023-08-21 16:23:19 UTC
This is not yet ready for F39 Beta. We'll try to land it as soon as possible via a freeze exception.

Comment 7 Timothée Ravier 2023-09-08 10:40:17 UTC
We haven't been able to land this in Fedora 39 as we're missing changes in Anaconda. Pushing to Fedora 40. We might try to land part of it in F39 as a backport as we now have the unified core change in.

Comment 8 Adam Williamson 2023-09-08 20:06:52 UTC
OK, so making the appropriate changes.

Comment 9 jstone 2023-12-08 02:32:39 UTC
It would appear that Anaconda has some enhancements related to bootupd:

https://github.com/rhinstaller/anaconda/releases/tag/anaconda-40.12-1
https://src.fedoraproject.org/rpms/anaconda/c/5e11b73af16b9e042106f40255e3a499e9894d40

What would be next for enabling bootupd in Silverblue and Kinoite?

Comment 10 Adam Williamson 2024-02-21 03:04:11 UTC
Hey Timothée , we are at the 'testable' deadline for F40 now, what is the status of this at present? Thanks!

Comment 11 Aoife Moloney 2024-02-26 20:56:36 UTC
This change was deferred to F41 following a FESCo meeting vote https://meetbot.fedoraproject.org/meeting_matrix_fedoraproject-org/2024-02-26/fesco.2024-02-26-19.35.html (line 3.ad)

Comment 12 Timothée Ravier 2024-02-28 11:25:25 UTC
Sorry I forgot to update this bug. This is now ready for Fedora 40.

See: https://pagure.io/fesco/issue/3173#comment-898382

Comment 13 Timothée Ravier 2024-02-28 11:25:58 UTC
The last missing bit is https://github.com/fedora-silverblue/issue-tracker/issues/530

Comment 14 Timothée Ravier 2024-02-28 17:59:17 UTC
Thanks Adam. I've updated https://fedoraproject.org/wiki/Changes/FedoraSilverblueBootupd back to F40. Could you sync the change pages? Thanks

Comment 15 Adam Williamson 2024-02-28 18:50:39 UTC
Aoife is back now, so I'll leave it to her.

Comment 16 Timothée Ravier 2024-04-29 09:04:51 UTC
Moving back to F41 as we did not really complete this work for F40. We'll try to backport some of it in F40 once ready.

Comment 17 Aoife Moloney 2024-04-29 09:29:27 UTC
F40 was released on 2024-04-23, so I am closing this tracker. If this Change was not completed, please notify me ASAP.

Comment 18 Jens Petersen 2024-04-30 05:05:31 UTC
Not sure if the comments crossed, but reopening since this moved back to F41


Note You need to log in before you can comment on or make changes to this bug.